Bug 143171 - aalib fails to update through yum
aalib fails to update through yum
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: aalib (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-16 19:43 EST by Michael A. Peters
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-04 03:48:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to specfile (300 bytes, patch)
2004-12-16 20:12 EST, Joe Christy
no flags Details | Diff

  None (edit)
Description Michael A. Peters 2004-12-16 19:43:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
I have aalib-1.4.0-0.fdr.0.9.rc5.2 and aalib-devel-1.4.0-0.fdr.0.9.rc5.2 installed.

These packages are rebuild in FC3 from the fc2 fedora.us src.rpm

Federa pre-extras fails to update aalib and aalib-devel via yum, siting a yum error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. yum update aalib
2.
3.
  

Actual Results:  [root@devel etc]# yum update aalib
Setting up Update Process
Setting up Repo:  updates-released
repomd.xml                100% |=========================|  951 B    00:00     
Setting up Repo:  livna-stable
repomd.xml                100% |=========================|  951 B    00:00     
Setting up Repo:  yjl-bleed
repomd.xml                100% |=========================|  951 B    00:00     
Setting up Repo:  jpackage16-fc3
repomd.xml                100% |=========================|  903 B    00:00     
Setting up Repo:  private
repomd.xml                100% |=========================| 1.1 kB    00:00     
Setting up Repo:  jpackage16-generic
repomd.xml                100% |=========================|  903 B    00:00     
Setting up Repo:  pre-extras
repomd.xml                100% |=========================|  951 B    00:00     
Setting up Repo:  base
repomd.xml                100% |=========================| 1.1 kB    00:00     
Setting up Repo:  livna-unstable
repomd.xml                100% |=========================|  951 B    00:00     
Setting up Repo:  livna-testing
repomd.xml                100% |=========================|  951 B    00:00     
Setting up Repo:  yjl-packages
repomd.xml                100% |=========================| 1.1 kB    00:00     
Reading repository metadata in from local files
updates-re: ################################################## 230/230
livna-stab: ################################################## 112/112
yjl-bleed : ################################################## 14/14
jpackage16: ################################################## 19/19
private   : ################################################## 15/15
jpackage16: ################################################## 1277/1277
pre-extras: ################################################## 617/617
base      : ################################################## 1652/1652
livna-unst: ################################################## 17/17
livna-test: ################################################## 13/13
yjl-packag: ################################################## 68/68
Excluding Packages in global exclude list
Finished
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package aalib.i386 0:1.4.0-0.rc5.2 set to be updated
--> Running transaction check
--> Processing Dependency: aalib = 0:1.4.0-0.fdr.0.9.rc5.2 for package: aalib-de
vel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package aalib-devel.i386 0:1.4.0-0.rc5.2 set to be updated
--> Running transaction check
--> Processing Dependency: aalib = %{epoch}:1.4.0-0.rc5.2 for package: aalib-dev
el
Traceback (most recent call last):
  File "/usr/bin/yum", line 7, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 104, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 219, in buildTra
nsaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 187, in resolveD
eps
    (checkdep, missing, conflict, errormsgs) = self._processReq(dep)
  File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 271, in _process
Req
    CheckDeps, missingdep = self._requiringFromTransaction(requiringPkg, require
mentTuple, errormsgs)
  File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 420, in _requiri
ngFromTransaction
    provSack = self.whatProvides(needname, needflags, needversion)
  File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 65, in whatProvi
des
    (r_e, r_v, r_r) = rpmUtils.miscutils.stringToVersion(version)
  File "/usr/lib/python2.3/site-packages/rpmUtils/miscutils.py", line 307, in st
ringToVersion
    epoch = string.atol(verstring[:i])
  File "/usr/lib/python2.3/string.py", line 236, in atol
    return _long(s, base)
ValueError: invalid literal for long(): %{epoch}

Expected Results:  aalib and aalib-devel should have been updated to
1.4.0-0.rc5.2

Additional info:

I had about a dozen or so packages installed from rebuilds of fedora.us fc2 src.rpm's. aalib and aalib-devel are the only ones that had issue with the yum update.
Comment 1 Joe Christy 2004-12-16 20:12:30 EST
Created attachment 108768 [details]
patch to specfile

The trivial expedient of adding an Epoch: to the spec file fixes this bug
Comment 2 Warren Togami 2004-12-16 20:16:59 EST
Already fixed in CVS.
Comment 3 Michael Schwendt 2005-01-04 03:48:20 EST
The aalib-1.4.0-0.rc5.3 release fixes this.

Note You need to log in before you can comment on or make changes to this bug.